Форум русскоязычного сообщества Ubuntu


Автор Тема: Проблема с двумя экранами на ATI/AMD Radeon X600 / X550/X1050  (Прочитано 920 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн meonom

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
Здравствуйте!
Возникает проблема с радеоновскими карточками. Поставил edubuntu 14.04.2_x86. Там где nvidia, всё отлично, ничего доделывать не надо. А там где radeon вот что получается - https://i.gyazo.com/e0a654081e63c2e6a860e7a3aab9487a.jpg.
Что делать? И как делать? (знаю только что такое терминал, но никаких команд не знаю)
X600 - Gallium 0.4 on ATI RV380
X550/X1050 - Gallium 0.4 on ATI RV370

Поковырялся немного: на X600 попробовал поставить fglrx_15.200-0ubuntu1_i386_ub_14.01.deb. После перезагрузки перестал входить в систему. Удалил через менеджер приложений, теперь в сведениях системы написано Gallium 0.4 on llvmpipe (LLVM 3.5, 128 bits). И всё очень дико тормозит, как эффект сло-мо. И в настройках монитора пишет просто Встроенный монитор и не даёт ничего изменять: ни расширени/клонирование, ни разрешение, ни экраны.

Есть ещё драйвер ati-driver-installer-9-3-x86.x86_64.run, но что с ним и как делать я не знаю.
« Последнее редактирование: 14 Август 2015, 10:06:50 от meonom »

Оффлайн Roslov Wiaczesław

  • Новичок
  • *
  • Сообщений: 9
  • Одинокий стрелок.
    • Просмотр профиля
Аналогичный вопрос и решение.
Удаление проприетарного драйвера AMD.
sudo sh /usr/share/ati/fglrx-uninstall.sh
sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev*
Добавляет репозиторий с устаревшими драйверами, где нужно только указать свою версию Ubuntu вместо YOUR_UBUNTU_VERSION_HERE
deb http://ppa.launchpad.net/makson96/fglrx/ubuntu YOUR_UBUNTU_VERSION_HERE main
deb-src http://ppa.launchpad.net/makson96/fglrx/ubuntu YOUR_UBUNTU_VERSION_HERE main
или запусти "Центр Приложений Ubuntu" (она в списке программ), там выбери "правка" - "источник приложений" - "Другое ПО". В открывшемся списке найди эту срочку и измени версию Ubuntu на trusty (для 14.04).
Далее выполни команды:
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install fglrx-legacy
sudo amdconfig --initial
sudo reboot
Вера в Бога делает нас доверчивыми и послушными, а не добропорядочными и совестливыми.

Оффлайн meonom

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
YOUR_UBUNTU_VERSION_HERE  в каком виде вводить?

alang

  • Гость
YOUR_UBUNTU_VERSION_HERE  в каком виде вводить?

Ни в каком. Тот репозиторий поддерживался только до ubuntu 13.04, и больше не поддерживается.
Для твоих видеокарт под 14.04 доступны только свободные драйвера.

Оффлайн meonom

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
alang, окей, тогда вопрос к Вам: как сделать, чтобы на компах с этими видяхами нормально работало расширение экрана?

alang

  • Гость
тогда вопрос к Вам

Почему именно ко мне? Я не один на форуме.

Вывод
xrandr
покажи.
« Последнее редактирование: 16 Август 2015, 11:40:25 от alang »

Оффлайн meonom

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
alang, вот:
xrandr: Failed to get size of gamma for output default
Screen 0: minimum 1280 x 1024, current 1280 x 1024, maximum 1280 x 1024
default connected primary 1280x1024+0+0 0mm x 0mm
   1280x1024      77.0*

Roslov Wiaczesław,
после sudo sh /usr/share/ati/fglrx-uninstall.sh написал: sh: 0: Can't open /usr/share/ati/fglrx-uninstall.sh

а так же W: Не удалось получить http://ppa.launchpad.net/makson96/fglrx/ubuntu/dists/trusty/main/binary-i386/Packages  403  Forbidden

и

teacher27@27:~$ deb http://ppa.launchpad.net/makson96/fglrx/ubuntu 14.04 main
Команда 'deb' не найдена



Но полезной оказалась команда sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev*. После неё хотя бы комп не тупит адски. И вот что напиcал xrandr:
(Нажмите, чтобы показать/скрыть)
Проблема с расширением экранов осталась.
« Последнее редактирование: 18 Август 2015, 11:33:21 от meonom »

alang

  • Гость
Проблема с расширением экранов осталась.

Почему? Теперь оба должны влезть.

Оффлайн meonom

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
Почему?
Дак я ж не знаю. Оттого и пишу сюда, на форум.

alang

  • Гость
На обоих твоих мониторах, судя по xrandr, установлено разрешение 1280х1024. Раньше максимальное разрешение было 2048х2048; 1280+1280 > 2048 -> два экрана не влезали. А теперь максимальное разрешение 4096х4096, 1280+1280 < 4096, должны влезать оба.  И даже если на одном из мониторов ты установишь максимально допустимое разрешение - 1920х1080, 1920+1280 < 4096 все равно, т.е. все равно должны влезать. 
« Последнее редактирование: 19 Август 2015, 15:04:20 от alang »

Оффлайн meonom

  • Автор темы
  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
alang, чёрт, ну я же не придумываю:
« Последнее редактирование: 21 Август 2015, 09:53:29 от meonom »

 

Страница сгенерирована за 0.101 секунд. Запросов: 24.